Page MenuHomePhabricator

Dropdown Widget not announcing selected option
Closed, ResolvedPublicBUG REPORT

Description

Steps to Reproduce:

  • Launch a wiki page
  • Navigate till "Edit " and hit enter
  • Navigate till "Insert" and navigate till "More" dropdown, hit enter.
  • Navigate till "Gallery" control, hit enter then navigate till "Option " and hit enter.
  • Start Screen reader and navigate till "Display Mode" dropdown
  • Observe the announcement by screen reader .

Actual Results:

  • Screen reader does not announce selected option

Expected Results:

  • Screen readers should announce selected option

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 12 2020, 9:20 PM

Change 605636 had a related patch set uploaded (by Bkudiess-msft; owner: Bkudiess-msft):
[oojs/ui@master] Fixes dropdown not announcing selected option

https://gerrit.wikimedia.org/r/605636

Change 605636 merged by jenkins-bot:
[oojs/ui@master] DropdownWidget: Fix dropdown not announcing selected option

https://gerrit.wikimedia.org/r/605636

Volker_E moved this task from Backlog to Reviewing on the OOUI board.Jun 23 2020, 11:46 PM
Volker_E moved this task from Reviewing to OOUI-0.39.2 on the OOUI board.Jun 24 2020, 12:57 AM
Volker_E edited projects, added OOUI (OOUI-0.39.2); removed OOUI.

Change 607443 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/core@master] Update OOUI to v0.39.2

https://gerrit.wikimedia.org/r/607443

Change 607443 merged by jenkins-bot:
[mediawiki/core@master] Update OOUI to v0.39.2

https://gerrit.wikimedia.org/r/607443

matmarex closed this task as Resolved.Jun 24 2020, 6:06 PM